<?php
namespace Models;

use Core,PDO; 

class Contratos extends Core\Model {

	//Função para buscar os dados do contrato da pessoa jurídica
	public function buscaDadosContratoPJ($codigoProposta){ 
		$sql = $this->db->prepare("SELECT PL.NOME AS NOMEPLANO,PL.REG_ANS,PL.TIPO_CONTRATO,PL.ABRANGENCIA,PL.SEGMENTACAO_ASSISTENCIAL,
								   PL.ACOMODACAO,EM.RAZAO_SOCIAL,EM.NOME_FANTASIA,EM.CNPJ,EM.INSCR_ESTADUAL,EM.INSCR_MUNICIPAL,EM.ENDERECO,
								   EM.NUMERO,EM.BAIRRO,EM.CEP,EM.CIDADE,EM.UF,EM.NOME_REP,
           						   SUBSTRING(EM.CPF_REP,1,3)+'.'+SUBSTRING(EM.CPF_REP,4,3)+'.'+SUBSTRING(EM.CPF_REP,7,3)+'-'+SUBSTRING(EM.CPF_REP,10,2) AS CPF_REP,
								   EM.RG_REP,EM.FONE,EM.EMAIL,EM.NOME_CONT,EM.FONE_CONT,EM.EMAIL_CONT,TC.NOME_TEMPLATE 
								   FROM VE_PROPOSTAPJ PJ
								   JOIN VE_PLANO PL ON PL.ID_PLANO = PJ.ID_PLANO
								   JOIN VE_EMPRESA EM ON EM.CODIGO = PJ.ID_EMPRESA
								   JOIN VE_TEMPLATE_CONTRATO TC ON TC.ID_TEMPLATE_CONTRATO = PL.TEMPLATE_CONTRATO_ID
								   WHERE PJ.CODIGO = '".$codigoProposta."'");
				
		//echo $sql->queryString;die;
		$sql->execute(); 
		$dados = $sql->fetch();
		
		return $dados;
	}

	//Função para buscar os dados do contrato da pessoa física maior de idade
	public function buscaDadosContratoPFMaior($codigoProposta){ 
		$sql = $this->db->prepare("SELECT PL.NOME AS NOMEPLANO,PL.REG_ANS,PL.TIPO_CONTRATO,PL.ABRANGENCIA,PL.SEGMENTACAO_ASSISTENCIAL,
								  PL.ACOMODACAO,CL.NOME,CL.NOMEPAI,CL.NOMEMAE,CONVERT(CHAR,CL.DATANASC,103) AS NASCIMENTO,
								  SUBSTRING(CL.CPF,1,3)+'.'+SUBSTRING(CL.CPF,4,3)+'.'+SUBSTRING(CL.CPF,7,3)+'-'+SUBSTRING(CL.CPF,10,2) AS CPF,
								  CL.RG,CL.ORGAOEXP,CL.ENDERECO,CL.NUMERO,CL.BAIRRO,CL.CEP,CL.CIDADE,CL.ESTADO,CL.FONE,CL.EMAIL,TC.NOME_TEMPLATE,
								  '' AS BENEFICIARIOTITULAR, '' AS TITULARCPF
								  FROM VE_PROPOSTAPF PF
								  JOIN VE_PLANO PL ON PL.ID_PLANO = PF.ID_PLANO
								  JOIN VE_CLIENTE CL ON CL.ID_CLIENTE = PF.ID_CLIENTE
								  JOIN VE_TEMPLATE_CONTRATO TC ON TC.ID_TEMPLATE_CONTRATO = PL.TEMPLATE_CONTRATO_ID
								  WHERE PF.CODIGO = '".$codigoProposta."'");
				
		//echo $sql->queryString;die;
		$sql->execute(); 
		$dados = $sql->fetch();
		
		return $dados;
	}

	//Função para buscar os dados do contrato da pessoa física menor de idade
	public function buscaDadosContratoPFMenor($codigoProposta){ 
		$sql = $this->db->prepare("SELECT PL.NOME AS NOMEPLANO,PL.REG_ANS,PL.TIPO_CONTRATO,PL.ABRANGENCIA,PL.SEGMENTACAO_ASSISTENCIAL,
								  PL.ACOMODACAO,RL.NOME,RL.NOME_PAI AS NOMEPAI,RL.NOME_MAE AS NOMEMAE,CONVERT(CHAR,RL.DATANASC,103) AS NASCIMENTO,
								  SUBSTRING(RL.CPF,1,3)+'.'+SUBSTRING(RL.CPF,4,3)+'.'+SUBSTRING(RL.CPF,7,3)+'-'+SUBSTRING(RL.CPF,10,2) AS CPF,
								  RL.RG,RL.ORGAOEXP,RL.ENDERECO,RL.NUMERO,RL.BAIRRO,RL.CEP,RL.CIDADE,RL.ESTADO,RL.FONE,RL.EMAIL,
								  TC.NOME_TEMPLATE,CL.NOME AS BENEFICIARIOTITULAR,
								  SUBSTRING(CL.CPF,1,3)+'.'+SUBSTRING(CL.CPF,4,3)+'.'+SUBSTRING(CL.CPF,7,3)+'-'+SUBSTRING(CL.CPF,10,2) AS TITULARCPF
								  FROM VE_PROPOSTAPF PF
								  JOIN VE_PLANO PL ON PL.ID_PLANO = PF.ID_PLANO
								  JOIN VE_CLIENTE CL ON CL.ID_CLIENTE = PF.ID_CLIENTE
								  JOIN VE_REPLEGAL RL ON RL.ID_CLIENTE = CL.ID_CLIENTE
								  JOIN VE_TEMPLATE_CONTRATO TC ON TC.ID_TEMPLATE_CONTRATO = PL.TEMPLATE_CONTRATO_ID
								  WHERE PF.CODIGO = '".$codigoProposta."'");
				
		//echo $sql->queryString;die;
		$sql->execute(); 
		$dados = $sql->fetch();
		
		return $dados;
	}

}